package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ItemAdicional;
import com.rjconsultores.ventaboletos.entidad.Pacote;
import com.rjconsultores.ventaboletos.entidad.PacoteItem;

public interface PacoteItemService extends GenericService<PacoteItem, Integer> {

	public PacoteItem vincularItemPacote(PacoteItem pacoteItem, Pacote pacote, ItemAdicional item);

	public PacoteItem buscaPacoteItem(Pacote pacote, ItemAdicional item);

	public List<PacoteItem> buscaItensPacote(Pacote pacote);

}
